package com.bonus.sgzb.base.domain;


import com.bonus.sgzb.common.core.annotation.Excel;

import java.sql.Timestamp;

public class BmUnitInfo {
/**类型ID*/
@Excel(name = "类型ID")
  private long unitId;
  /**单位类型名称*/
  @Excel(name = "单位类型名称")
  private String unitName;
  /**帐号状态（0正常 1停用）*/
  @Excel(name = "帐号状态（0正常 1停用）")
  private String status;
  /**单位类型*/
  @Excel(name = "单位类型")
  private long typeId;
  /**联系人*/
  @Excel(name = "联系人")
  private String linkMan;
  /**联系方式*/
  @Excel(name = "联系方式")
  private String telphone;
  /**所属上级*/
  @Excel(name = "所属上级")
  private long deptId;
  /**删除标志（0代表存在 2代表删除）*/

  private String delFlag;
  /**创建者*/
  @Excel(name = "创建者")
  private String createBy;
  /**创建时间*/
  @Excel(name = "创建时间")
  private Timestamp createTime;
  /**更新者*/
  @Excel(name = "更新者")
  private String updateBy;
  /**更新时间*/
  @Excel(name = "更新时间")
  private Timestamp updateTime;
  /**备注*/
  @Excel(name = "备注")
  private String remark;
  /**数据所属组织*/
  @Excel(name = "数据所属组织")
  private String companyId;


  public long getUnitId() {
    return unitId;
  }

  public void setUnitId(long unitId) {
    this.unitId = unitId;
  }


  public String getUnitName() {
    return unitName;
  }

  public void setUnitName(String unitName) {
    this.unitName = unitName;
  }


  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }


  public long getTypeId() {
    return typeId;
  }

  public void setTypeId(long typeId) {
    this.typeId = typeId;
  }


  public String getLinkMan() {
    return linkMan;
  }

  public void setLinkMan(String linkMan) {
    this.linkMan = linkMan;
  }


  public String getTelphone() {
    return telphone;
  }

  public void setTelphone(String telphone) {
    this.telphone = telphone;
  }


  public long getDeptId() {
    return deptId;
  }

  public void setDeptId(long deptId) {
    this.deptId = deptId;
  }


  public String getDelFlag() {
    return delFlag;
  }

  public void setDelFlag(String delFlag) {
    this.delFlag = delFlag;
  }


  public String getCreateBy() {
    return createBy;
  }

  public void setCreateBy(String createBy) {
    this.createBy = createBy;
  }


  public java.sql.Timestamp getCreateTime() {
    return createTime;
  }

  public void setCreateTime(java.sql.Timestamp createTime) {
    this.createTime = createTime;
  }


  public String getUpdateBy() {
    return updateBy;
  }

  public void setUpdateBy(String updateBy) {
    this.updateBy = updateBy;
  }


  public java.sql.Timestamp getUpdateTime() {
    return updateTime;
  }

  public void setUpdateTime(java.sql.Timestamp updateTime) {
    this.updateTime = updateTime;
  }


  public String getRemark() {
    return remark;
  }

  public void setRemark(String remark) {
    this.remark = remark;
  }


  public String getCompanyId() {
    return companyId;
  }

  public void setCompanyId(String companyId) {
    this.companyId = companyId;
  }

}
